Get capability statistics for analysis set fieldsCopy Pageget https://{subdomain}.alisqi.com/api/getSpecificationEvaluationUse this API operation to get in-depth statistics of specification evaluation and product and process capability for an analysis set's numeric fields.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Query ParamssetIdintegerrequiredThe unique id of the analysis set. This parameter is required and has no default. Note: for historical reasons, this parameter is usually called maskid in AlisQI URLs. The API uses setId for consistency with the terminology used in the user interface.fieldsstringrequiredComma seperated list of field names. Use the in-app integration hub to find the field names for a particular analysis set.limitintegerDefaults to 50000The maximum number of results to consider while calculating the statistics. Defaults to 50000.filterstringJSON object as a string. Specify a filter for the results. Defaults to none. Example: {"status_":[{"value":"5"}]} Note: this parameter is usually called constraints in AlisQI URLs. The API uses filter for consistency with the terminology used in the user interface.Tip: Use the filter widget in the in-app Integration hub to create a JSON filter string.Responses 200The output will be a JSON-encoded array. Each array element contains the following JSON object: The count represents the number of values The no-spec represents the number of values without spec The in-spec represents the number of values within spec bandwidth The offspec-internal represents the number of values off-spec in the internal spec range The offspec-external represents the number of values off-spec in the external spec range The avg represents the average of all the values of the field The stddev represents the standard deviation of all the values of the field The cp represents the Cp value The cpk represents the Cpk value The pp represents the Pp value The ppk represents the Ppk value The lcl represents the Computed value: Average - 3x standard deviation The ucl represents the Computed value: Average + 3x standard deviation 304Not Modified 400Bad Request 403Forbidden 429Too many requestsUpdated over 1 year ago Did this page help you?YesNo